## GdauiLogin GdauiLogin |

## Synopsis

    struct              GdauiLogin;
    GtkWidget *         gdaui_login_new                     (const gchar *dsn);
    enum                GdauiLoginMode;
    void                gdaui_login_set_mode                (GdauiLogin *login,
                                                             GdauiLoginMode mode);
    const GdaDsnInfo *  gdaui_login_get_connection_information
                                                            (GdauiLogin *login);
    void                gdaui_login_set_dsn                 (GdauiLogin *login,
                                                             const gchar *dsn);
    void                gdaui_login_set_connection_information
                                                            (GdauiLogin *login,
                                                             const GdaDsnInfo *cinfo);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiLogin

## Implemented Interfaces

GdauiLogin implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "dsn"                      gchar*                : Read / Write
      "mode"                     GdauiLoginMode        : Read / Write
      "valid"                    gboolean              : Read

## Signals

      "changed"                                        : Run First

## Description

## Details

### struct GdauiLogin

    struct GdauiLogin;

### gdaui_login_new ()

    GtkWidget *         gdaui_login_new                     (const gchar *dsn);

Since 4.2

### enum GdauiLoginMode

    typedef enum {
    	GDA_UI_LOGIN_ENABLE_CONTROL_CENTRE_MODE = 1 << 0,
    	GDA_UI_LOGIN_HIDE_DSN_SELECTION_MODE = 1 << 1,
    	GDA_UI_LOGIN_HIDE_DIRECT_CONNECTION_MODE = 1 << 2
    } GdauiLoginMode;

### gdaui_login_set_mode ()

    void                gdaui_login_set_mode                (GdauiLogin *login,
                                                             GdauiLoginMode mode);

Since 4.2

### gdaui_login_get_connection_information ()

    const GdaDsnInfo *  gdaui_login_get_connection_information
                                                            (GdauiLogin *login);

Since 4.2

### gdaui_login_set_dsn ()

    void                gdaui_login_set_dsn                 (GdauiLogin *login,
                                                             const gchar *dsn);

### gdaui_login_set_connection_information ()

    void                gdaui_login_set_connection_information
                                                            (GdauiLogin *login,
                                                             const GdaDsnInfo *cinfo);

## Property Details

### The `"dsn"` property

      "dsn"                      gchar*                : Read / Write

Default value: NULL

### The `"mode"` property

      "mode"                     GdauiLoginMode        : Read / Write

### The `"valid"` property

      "valid"                    gboolean              : Read

Default value: FALSE

## Signal Details

### The `"changed"` signal

    void                user_function                      (GdauiLogin *gdauilogin,
                                                            gboolean    arg1,
                                                            gpointer    user_data)       : Run First